<button *ngIf="!isStarted" class="margin-horizontal-10" (click)="start()">Start game</button>

<div *ngIf="isStarted">
  <h1 class="margin-horizontal-10">Round {{gameGridService.round}}</h1>

  <div class="tiles margin-bottom-20" *ngIf="isShowTiles">
    <span class="margin-horizontal-10" *ngFor="let tile of tiles" [innerHTML]="tile"></span>
  </div>

  <div class="tiles margin-bottom-20" [hidden]="isShowTiles">
    <span class="margin-horizontal-10">Your turn</span>
  </div>

  <div class="col" [class.disable]="isShowTiles">
    <ng-container *ngFor="let tileColor of this.gameGridService.defaultColors; index as i">
      <button [disabled]="isShowTiles" class="col-6 tile margin-horizontal-10" (click)="pick(tileColor)" appBackground
              [background]="tileColor"></button>
    </ng-container>
  </div>
</div>

<h1 *ngIf="isEnded">Total Score: {{totalScore}}</h1>
